@use '../palette';

// uses input color from theme
@mixin error-colors($error-color-bg, $error-color) {

  app-error {

    .warning {
      background-color: palette.$warning-color-bg;
      border: 2px solid palette.$warning-color;
    }

    .error {
      background-color: $error-color-bg;
      border: 2px solid $error-color;
    }

    .ok {
      background-color: palette.$ok-color;
    }

    .success  {
      background-color: palette.$success-color-bg;
      border: 2px solid palette.$success-color;
    }
  }
}